<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ds-deque.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'tr',
  ),
  'this' => 
  array (
    0 => 'ds-deque.sort.php',
    1 => 'Ds\\Deque::sort',
  ),
  'up' => 
  array (
    0 => 'class.ds-deque.php',
    1 => 'Ds\\Deque',
  ),
  'prev' => 
  array (
    0 => 'ds-deque.slice.php',
    1 => 'Ds\\Deque::slice',
  ),
  'next' => 
  array (
    0 => 'ds-deque.sorted.php',
    1 => 'Ds\\Deque::sorted',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'en',
    'path' => 'reference/ds/ds/deque/sort.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ds-deque.sort" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Ds\Deque::sort</h1>
  <p class="verinfo">(PECL ds &gt;= 1.0.0)</p><p class="refpurpose"><span class="refname">Ds\Deque::sort</span> &mdash; <span class="dc-title">
    Sorts the deque in-place
 </span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ds-deque.sort-description">
  <h3 class="title">Açıklama</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>Ds\Deque::sort</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$comparator</code><span class="initializer"> = ?</span></span>): <span class="type"><a href="language.types.void.php" class="type void">void</a></span></div>

  <p class="para rdfs-comment">
    Sorts the deque in-place, using an optional <code class="parameter">comparator</code> function.
  </p>

 </div>


 <div class="refsect1 parameters" id="refsect1-ds-deque.sort-parameters">
  <h3 class="title">Bağımsız Değişkenler</h3>
  <dl>
   
     <dt><code class="parameter">comparator</code></dt>
     <dd>
      <p class="para">
 Karşılaştırma işlevinin, ilk bileşeninin ikinci
bileşenden küçük, eşit veya büyük olması durumunda sıfırdan küçük, eşit veya
büyük bir tamsayı döndürmesi gerekir.
</p>
<div class="methodsynopsis dc-description"><span class="methodname"><span class="replaceable">callback</span></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$a</code></span>, <span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$b</code></span>): <span class="type"><a href="language.types.integer.php" class="type int">int</a></span></div>

<div class="caution"><strong class="caution">Dikkat</strong>
 <p class="para">
  Karşılaştırma işlevinden <span class="type"><a href="language.types.float.php" class="type float">float</a></span> gibi
  <em>tamsayı olmayan</em> değerlerin döndürülmesi, geri çağırım
  işlevinin dönüş değerinin dahili olarak <span class="type"><a href="language.types.integer.php" class="type int">int</a></span> türüne
  dönüştürülmesiyle sonuçlanır. Bu nedenle <code class="literal">0.99</code> ve
  <code class="literal">0.1</code> gibi değerlerin her ikisi de <code class="literal">0</code>
  tamsayı değerine dönüştürüp bunlar eşit değerler olarak karşılaştırılacaktır.
 </p>
</div>
     </dd>
    
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ds-deque.sort-returnvalues">
  <h3 class="title">Dönen Değerler</h3>
  <p class="para">
    Hiçbir değer dönmez.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-ds-deque.sort-examples">
  <h3 class="title">Örnekler</h3>
  <div class="example" id="example-4244">
   <p><strong>Örnek 1 <span class="function"><strong>Ds\Deque::sort()</strong></span> example</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$deque </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Deque</span><span style="color: #007700">([</span><span style="color: #0000BB">4</span><span style="color: #007700">, </span><span style="color: #0000BB">5</span><span style="color: #007700">, </span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">]);<br /></span><span style="color: #0000BB">$deque</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">sort</span><span style="color: #007700">();<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$deque</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>
Yukarıdaki örnek şuna benzer bir çıktı üretir:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Deque Object
(
    [0] =&gt; 1
    [1] =&gt; 2
    [2] =&gt; 3
    [3] =&gt; 4
    [4] =&gt; 5
)</pre>
</div>
   </div>
  </div>
  <div class="example" id="example-4245">
   <p><strong>Örnek 2 <span class="function"><strong>Ds\Deque::sort()</strong></span> example using a comparator</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$deque </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Deque</span><span style="color: #007700">([</span><span style="color: #0000BB">4</span><span style="color: #007700">, </span><span style="color: #0000BB">5</span><span style="color: #007700">, </span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">$deque</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">sort</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$a</span><span style="color: #007700">, </span><span style="color: #0000BB">$b</span><span style="color: #007700">) {<br />    return </span><span style="color: #0000BB">$b </span><span style="color: #007700">&lt;=&gt; </span><span style="color: #0000BB">$a</span><span style="color: #007700">;<br />});<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$deque</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>
Yukarıdaki örnek şuna benzer bir çıktı üretir:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Deque Object
(
    [0] =&gt; 5
    [1] =&gt; 4
    [2] =&gt; 3
    [3] =&gt; 2
    [4] =&gt; 1
)</pre>
</div>
   </div>
  </div>

 </div>



</div><?php manual_footer($setup); ?>